Subject: Re: bug#18748: cp doesn't behaves as mkdir and touch when a default acl exists.

From: [email-masked]
Date: Mon, 1 Dec 2014 09:51:16 +0100 (CET)

> and therefore, there's nothing we can do about it without
> either violating POSIX permission copying or adding several ACL-related
> calls although the user told us not to do so.
> Did I miss something?

"...although the user told us not to do so..."

Hi Bernie
I'm still puzzled 
So do you mean the only way not to violate POSIX permissions is to respect "what the user tells to do"?
Then let's get a look at what the user tells:
First, use POSIX (basic) permissions
THEN, add ACL support (to be read below "extended ACL support")

Reverting the sequence is pure non sense (but if I first choose a system with native ACL support like NT), so if the 2nd step is a violation of the 1st one, then the 2nd one (violating) would just made be impossible so that said ACL support concept doesn't even exist.

ACL support being currently advertised, I feel I legitimately want to see it applied as superseding the basic permissions set where (such or such tree) ***me-the-user*** want this superset to apply.

If I'm wrong, at least ACL would be renamed to ACR (Access Control Restrictions) according to the current behaviour with cp/mv.

Fabrice-the-user